# Created by pyp2rpm-3.3.1
%global pypi_name PyPrind
%define oname pyprind

Name:           python-%{oname}
Version:        2.11.2
Release:        %mkrel 5
Summary:        Python Progress Bar and Percent Indicator Utility
Group:          Development/Python
License:        BSD
URL:            https://github.com/rasbt/pyprind
Source0:        https://files.pythonhosted.org/packages/source/p/pyprind/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...

%package -n     python3-%{oname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
The PyPrind (Python Progress Indicator) module provides a progress bar and a
percentage indicator object that let you track the progress of a loop structure
or other iterative computation. Typical applications include the processing of
large data sets to provide an intuitive estimate at runtime about the progress
of the computation.For more details and examples please see the package...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{oname}
%license LICENSE
%doc README.md
%{python3_sitelib}/pyprind
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.11.2-5.mga8
+ Revision: 1535070
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 tv <tv> 2.11.2-4.mga8
+ Revision: 1451061
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 kekepower <kekepower> 2.11.2-3.mga7
+ Revision: 1351265
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.11.2-2.mga7
+ Revision: 1289793
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 kekepower <kekepower> 2.11.2-1.mga7
+ Revision: 1220340
- imported package python-pyprind

